GaussianDialog
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class GaussianDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - org.openscience.jmol.app.jmolpanel.GaussianDialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ChangeListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class GaussianDialog
      extends javax.swing.JDialog
      implements java.awt.event.ActionListener, javax.swing.event.ChangeListener, java.awt.event.MouseListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `BASIS_LIST`
    `private javax.swing.JComboBox<java.lang.String>` | `basisBox`
    `private java.lang.String` | `charge`
    `private javax.swing.JSpinner` | `chargeSpinner`
    `private java.lang.String` | `check`
    `private javax.swing.JTextField` | `checkField`
    `private javax.swing.JButton` | `closeButton`
    `private javax.swing.JPanel` | `container`
    `private static java.lang.String` | `DEFAULT_BASIS`
    `private static java.lang.String` | `DEFAULT_CHARGE`
    `private static java.lang.String` | `DEFAULT_METHOD`
    `private static java.lang.String` | `DEFAULT_MULT`
    `private static java.lang.String[]` | `DF_LIST`
    `private javax.swing.JComboBox<java.lang.String>` | `dfBox`
    `private static java.lang.String` | `DFT_LIST`
    `protected javax.swing.JTextPane` | `editArea`
    `protected javax.swing.JScrollPane` | `editPane`
    `private java.lang.String` | `file`
    `private javax.swing.JButton` | `fileButton`
    `private javax.swing.JFileChooser` | `fileChooser`
    `private javax.swing.JTextField` | `fileField`
    `protected int` | `iscroll`
    `private java.lang.String` | `mem`
    `private javax.swing.JComboBox<java.lang.String>` | `memBox`
    `private static java.lang.String[]` | `MEMORY_LIST`
    `private java.lang.String` | `meth`
    `private javax.swing.JComboBox<java.lang.String>` | `methBox`
    `private static java.lang.String[]` | `METHOD_LIST`
    `private java.lang.String` | `mult`
    `private javax.swing.JSpinner` | `multSpinner`
    `private static java.lang.String` | `NOBASIS_LIST`
    `private javax.swing.JTextField` | `optsField`
    `private java.lang.String` | `proc`
    `private javax.swing.JSpinner` | `procSpinner`
    `private javax.swing.JButton` | `refreshButton`
    `private java.lang.String` | `route`
    `private javax.swing.JButton` | `saveButton`
    `private java.lang.String` | `select`
    `private javax.swing.JTextField` | `selectField`
    `(package private) Viewer` | `vwr`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaussianDialog(javax.swing.JFrame f, Viewer vwr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `protected java.lang.String` | `asHTML(java.lang.String s, boolean toHTML)`
    `private javax.swing.JPanel` | `buildAdvancedPanel()`
    `private javax.swing.JPanel` | `buildBasicPanel()`
    `private javax.swing.JPanel` | `buildButtonPanel()`
    `private javax.swing.JPanel` | `buildFilePanel()`
    `private void` | `cancel()`
    `protected void` | `centerDialog()`
    `void` | `dispose()`
    `protected void` | `getCommand(int iAtom, boolean doScroll)`
    `void` | `mouseClicked(java.awt.event.MouseEvent e)`
    `void` | `mouseEntered(java.awt.event.MouseEvent arg0)`
    `void` | `mouseExited(java.awt.event.MouseEvent arg0)`
    `void` | `mousePressed(java.awt.event.MouseEvent arg0)`
    `void` | `mouseReleased(java.awt.event.MouseEvent arg0)`
    `private void` | `save()`
    `private void` | `setFile()`
    `void` | `stateChanged(javax.swing.event.ChangeEvent e)`
    `void` | `updateModel(int iAtom)`
    `private void` | `updateUI()`
    `private void` | `updateVars()`

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          Viewer vwr

    - #### container

          private javax.swing.JPanel container

    - #### checkField

          private javax.swing.JTextField checkField

    - #### optsField

          private javax.swing.JTextField optsField

    - #### fileField

          private javax.swing.JTextField fileField

    - #### selectField

          private javax.swing.JTextField selectField

    - #### memBox

          private javax.swing.JComboBox<java.lang.String> memBox

    - #### methBox

          private javax.swing.JComboBox<java.lang.String> methBox

    - #### basisBox

          private javax.swing.JComboBox<java.lang.String> basisBox

    - #### dfBox

          private javax.swing.JComboBox<java.lang.String> dfBox

    - #### procSpinner

          private javax.swing.JSpinner procSpinner

    - #### chargeSpinner

          private javax.swing.JSpinner chargeSpinner

    - #### multSpinner

          private javax.swing.JSpinner multSpinner

    - #### fileButton

          private javax.swing.JButton fileButton

    - #### saveButton

          private javax.swing.JButton saveButton

    - #### closeButton

          private javax.swing.JButton closeButton

    - #### refreshButton

          private javax.swing.JButton refreshButton

    - #### fileChooser

          private javax.swing.JFileChooser fileChooser

    - #### editArea

          protected javax.swing.JTextPane editArea

    - #### check

          private java.lang.String check

    - #### mem

          private java.lang.String mem

    - #### proc

          private java.lang.String proc

    - #### file

          private java.lang.String file

    - #### meth

          private java.lang.String meth

    - #### route

          private java.lang.String route

    - #### charge

          private java.lang.String charge

    - #### mult

          private java.lang.String mult

    - #### select

          private java.lang.String select

    - #### editPane

          protected javax.swing.JScrollPane editPane

    - #### iscroll

          protected int iscroll

    - #### DEFAULT_METHOD

          private static final java.lang.String DEFAULT_METHOD

      See Also:
        Constant Field Values

    - #### DEFAULT_BASIS

          private static final java.lang.String DEFAULT_BASIS

      See Also:
        Constant Field Values

    - #### DEFAULT_CHARGE

          private static final java.lang.String DEFAULT_CHARGE

      See Also:
        Constant Field Values

    - #### DEFAULT_MULT

          private static final java.lang.String DEFAULT_MULT

      See Also:
        Constant Field Values

    - #### BASIS_LIST

          private static final java.lang.String[] BASIS_LIST

    - #### METHOD_LIST

          private static final java.lang.String[] METHOD_LIST

    - #### DF_LIST

          private static final java.lang.String[] DF_LIST

    - #### MEMORY_LIST

          private static final java.lang.String[] MEMORY_LIST

    - #### NOBASIS_LIST

          private static final java.lang.String NOBASIS_LIST

      See Also:
        Constant Field Values

    - #### DFT_LIST

          private static final java.lang.String DFT_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GaussianDialog

          public GaussianDialog(javax.swing.JFrame f,
                                Viewer vwr)

  - ### Method Detail

    - #### buildBasicPanel

          private javax.swing.JPanel buildBasicPanel()

    - #### buildAdvancedPanel

          private javax.swing.JPanel buildAdvancedPanel()

    - #### buildFilePanel

          private javax.swing.JPanel buildFilePanel()

    - #### buildButtonPanel

          private javax.swing.JPanel buildButtonPanel()

    - #### centerDialog

          protected void centerDialog()

    - #### updateVars

          private void updateVars()

    - #### updateUI

          private void updateUI()

    - #### save

          private void save()

    - #### cancel

          private void cancel()

    - #### dispose

          public void dispose()

      Overrides:
        `dispose` in class `java.awt.Window`

    - #### setFile

          private void setFile()

    - #### getCommand

          protected void getCommand(int iAtom,
                                    boolean doScroll)

    - #### asHTML

          protected java.lang.String asHTML(java.lang.String s,
                                            boolean toHTML)

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### updateModel

          public void updateModel(int iAtom)

    - #### stateChanged

          public void stateChanged(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent arg0)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`